--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: The &quot;PUBLISH&quot; method in a &quot;VEVENT&quot; calendar component is an unsolicited posting of an iCalendar object. Any CU may add published components to their calendar. The &quot;Organizer&quot; MUST be present in a published iCalendar component. &quot;Attendees&quot; MUST NOT be present. Its expected usage is for encapsulating an arbitrary event as an iCalendar object. The &quot;Organizer&quot; may subsequently update (with another &quot;PUBLISH&quot; method), add instances to (with an &quot;ADD&quot; method), or cancel (with a &quot;CANCEL&quot; method) a previously published &quot;VEVENT&quot; calendar component.
full_name: Icalendar::Calendar#publish
is_singleton: false
name: publish
params: ()
visibility: public
